<template>
  <b-container fluid id="header" class="position-fixed m-0 p-0">
    <b-row class="align-items-center m-0">
      <b-col cols="8" class="col-left bg-dark p-2">
        <b-img
          :src="require('../assets/logo_header.png')"
          height="30"
          :left="true"
        ></b-img>
        <b-list-group class="float-right">
          <b-list-group-item
            class="d-flex align-items-center bg-dark border-0 text-white p-0 px-2"
          >
            <b-avatar class="mr-3"></b-avatar>
            <b-col class="p-0 text-left">
              <h6 class="m-0">MR.ADMIN</h6>
              <p class="m-0">Head Quarteer</p>
            </b-col>
          </b-list-group-item>
        </b-list-group>
      </b-col>
      <b-col cols="4" class="col-right p-2">
        <b-button size="lg" variant="link" class="btn-menu float-right h-100">
          MENU
          <b-icon icon="heart-fill"></b-icon>
        </b-button>
      </b-col>
    </b-row>
    <b-row class="m-0 p-2">
      <b-icon icon="house-fill" class="my-1"></b-icon>
      <b-breadcrumb :items="crumbs" class="m-0 py-0 px-2"></b-breadcrumb>
      <div class="row-button-actions">
        <b-button class="rounded-circle border-0 p-0 m">
          <b-icon icon="graph-up"></b-icon>
        </b-button>
        <b-button class="rounded-circle border-0 p-0 mx-2">
          <b-icon icon="download"></b-icon>
        </b-button>
        <b-button class="rounded-circle border-0 p-0">
          <b-icon icon="printer-fill"></b-icon>
        </b-button>
      </div>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: "Header",
  computed: {
    crumbs() {
      let pathArray = this.$route.path.split("/");
      pathArray.shift();
      let breadcrumbs = pathArray.reduce((breadcrumbArray, path, idx) => {
        breadcrumbArray.push({
          path: path,
          to: breadcrumbArray[idx - 1]
            ? "/" + breadcrumbArray[idx - 1].path + "/" + path
            : "/" + path,
          text: this.$route.matched[idx].meta.breadCrumb || path,
        });
        return breadcrumbArray;
      }, []);
      return breadcrumbs;
    },
  },
};
</script>

<style lang="scss" scoped>
#header {
  .breadcrumb {
    background-color: transparent;
    height: 30px;
    line-height: 30px;
    font-size: 0.8rem;
    .breadcrumb-item.active {
      color: var(--master-color1);
    }
  }
  .row-button-actions {
    position: absolute;
    right: 15px;
    z-index: 999;
    .btn {
      width: 30px;
      height: 30px;
      font-size: 0.765rem;
      background-color: var(--master-color1);
    }
  }
  .col-left,
  .col-right {
    height: 55px;
  }
  .list-group {
    max-width: 200px;
    h6 {
      font-size: 0.8rem;
      font-weight: bold;
      color: var(--master-color1);
    }
    p {
      font-size: 0.765rem;
    }
  }
  .col-right {
    background-color: var(--master-color1);
    .btn-menu {
      color: var(--light-level4);
      text-decoration: none;
    }
  }
}
</style>